## Apache Zeta Components Manual :: Docs For Class ezcUrlException

### Url::ezcUrlException

### Class ezcUrlException

ezcUrlExceptions are thrown when an exceptional state occures in the Url package.

Source for this file: /Url/src/exceptions/url_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcUrlException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcUrlNoConfigurationException | ezcUrlNoConfigurationException is thrown whenever you try to use a url configuration that is not defined.
ezcUrlInvalidParameterException | ezcUrlInvalidParameterException is thrown at get/set of a parameter undefined in the configuration.
ezcUrlNotRegisteredException | ezcUrlNotRegisteredException is thrown whenever you try to use a url that is not registered.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcUrlException | `__construct( $message )` Constructs a new ezcUrlException with error message $message.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcUrlException __construct( string $message )

Constructs a new ezcUrlException with error message $message.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcUrlNoConfigurationException::__construct()` | Constructs a new ezcUrlNoConfigurationException.
`ezcUrlInvalidParameterException::__construct()` | Constructs a new ezcInvalidParameterException.
`ezcUrlNotRegisteredException::__construct()` | Constructs a new ezcUrlNotRegisteredException.

Documentation generated by phpDocumentor 1.4.3